package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierRefundGetRequest struct {
	/*
	   查询入参     */
	SupplierRefundQueryListRequest *domain.AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest `json:"supplier_refund_query_list_request,omitempty" required:"false" `
}

func (s *AlibabaWdkSupplierRefundGetRequest) SetSupplierRefundQueryListRequest(v domain.AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest) *AlibabaWdkSupplierRefundGetRequest {
	s.SupplierRefundQueryListRequest = &v
	return s
}

func (req *AlibabaWdkSupplierRefundGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SupplierRefundQueryListRequest != nil {
		paramMap["supplier_refund_query_list_request"] = util.ConvertStruct(*req.SupplierRefundQueryListRequest)
	}
	return paramMap
}

func (req *AlibabaWdkSupplierRefundGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
